<bugID>964000<Summary>[Holly] Perma orange TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/modules/test/browser_UITour.js | Highlight should be shown on a unsecure host when override pref is set</Summary><Description>Holly went orange after a mozilla-central merge, and it seems to be related to UITour stuff.

The particulars:

This bc orange appears on OS X and Windows only, it seems. Here's what we're getting from the logs[1]:


TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/modules/test/browser_UITour.js | Highlight should be shown on a unsecure host when override pref is set
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/modules/test/browser_UITour.js | Highlight should be shown after showHighlight()
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/modules/test/browser_UITour.js | Highlight should be shown after showHighlight()
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/modules/test/browser_UITour.js | Highlight should be shown after showHighlight()


10:51:24  WARNING -  TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/modules/test/browser_UITour.js | Highlight should be shown on a unsecure host when override pref is set
10:51:24     INFO -  Stack trace:
10:51:24     INFO -      JS frame :: chrome://mochitests/content/browser/browser/modules/test/head.js :: is_element_visible :: line 44
10:51:24     INFO -      JS frame :: chrome://mochitests/content/browser/browser/modules/test/browser_UITour.js :: test_unsecure_host_override/&lt; :: line 108
10:51:24     INFO -      native frame :: &lt;unknown filename&gt; :: &lt;TOP_LEVEL&gt; :: line 0
10:51:24     INFO -  TEST-PASS | chrome://mochitests/content/browser/browser/modules/test/browser_UITour.js | Element should not be null, when checking visibility
10:51:24     INFO -  TEST-PASS | chrome://mochitests/content/browser/browser/modules/test/browser_UITour.js | Highlight should be hidden after UITour tab is closed
10:51:24     INFO -  TEST-PASS | chrome://mochitests/content/browser/browser/modules/test/browser_UITour.js | Popup should be closed/hidding after UITour tab is closed
10:51:24     INFO -  TEST-PASS | chrome://mochitests/content/browser/browser/modules/test/browser_UITour.js | Any pinned tab should be closed after UITour tab is closed
10:51:24     INFO -  TEST-PASS | chrome://mochitests/content/browser/browser/modules/test/browser_UITour.js | Element should not be null, when checking visibility
10:51:24     INFO -  TEST-PASS | chrome://mochitests/content/browser/browser/modules/test/browser_UITour.js | Highlight should initially be hidden
10:51:24     INFO -  TEST-PASS | chrome://mochitests/content/browser/browser/modules/test/browser_UITour.js | Element should not be null, when checking visibility
10:51:24     INFO -  TEST-PASS | chrome://mochitests/content/browser/browser/modules/test/browser_UITour.js | Highlight should not be shown when feature is disabled
10:51:24     INFO -  TEST-PASS | chrome://mochitests/content/browser/browser/modules/test/browser_UITour.js | Element should not be null, when checking visibility
10:51:24     INFO -  TEST-PASS | chrome://mochitests/content/browser/browser/modules/test/browser_UITour.js | Highlight should be hidden after UITour tab is closed
10:51:24     INFO -  TEST-PASS | chrome://mochitests/content/browser/browser/modules/test/browser_UITour.js | Popup should be closed/hidding after UITour tab is closed
10:51:24     INFO -  TEST-PASS | chrome://mochitests/content/browser/browser/modules/test/browser_UITour.js | Any pinned tab should be closed after UITour tab is closed
10:51:25     INFO -  TEST-PASS | chrome://mochitests/content/browser/browser/modules/test/browser_UITour.js | Element should not be null, when checking visibility
10:51:25     INFO -  TEST-PASS | chrome://mochitests/content/browser/browser/modules/test/browser_UITour.js | Highlight should initially be hidden
10:51:25     INFO -  TEST-PASS | chrome://mochitests/content/browser/browser/modules/test/browser_UITour.js | Element should not be null, when checking visibility
10:51:25  WARNING -  TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/modules/test/browser_UITour.js | Highlight should be shown after showHighlight()
10:51:25     INFO -  Stack trace:
10:51:25     INFO -      JS frame :: chrome://mochitests/content/browser/browser/modules/test/head.js :: is_element_visible :: line 44
10:51:25     INFO -      JS frame :: chrome://mochitests/content/browser/browser/modules/test/browser_UITour.js :: test_highlight :: line 131
10:51:25     INFO -      JS frame :: chrome://mochitests/content/browser/browser/modules/test/browser_UITour.js :: test/nextTest/&lt; :: line 72
10:51:25     INFO -      native frame :: &lt;unknown filename&gt; :: &lt;TOP_LEVEL&gt; :: line 0
10:51:25     INFO -  TEST-PASS | chrome://mochitests/content/browser/browser/modules/test/browser_UITour.js | Element should not be null, when checking visibility
10:51:25     INFO -  TEST-PASS | chrome://mochitests/content/browser/browser/modules/test/browser_UITour.js | Highlight should be hidden after hideHighlight()
10:51:25     INFO -  TEST-PASS | chrome://mochitests/content/browser/browser/modules/test/browser_UITour.js | Element should not be null, when checking visibility
10:51:25  WARNING -  TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/modules/test/browser_UITour.js | Highlight should be shown after showHighlight()
10:51:25     INFO -  Stack trace:
10:51:25     INFO -      JS frame :: chrome://mochitests/content/browser/browser/modules/test/head.js :: is_element_visible :: line 44
10:51:25     INFO -      JS frame :: chrome://mochitests/content/browser/browser/modules/test/browser_UITour.js :: test_highlight :: line 137
10:51:25     INFO -      JS frame :: chrome://mochitests/content/browser/browser/modules/test/browser_UITour.js :: test/nextTest/&lt; :: line 72
10:51:25     INFO -      native frame :: &lt;unknown filename&gt; :: &lt;TOP_LEVEL&gt; :: line 0
10:51:25     INFO -  TEST-PASS | chrome://mochitests/content/browser/browser/modules/test/browser_UITour.js | Element should not be null, when checking visibility
10:51:25  WARNING -  TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/modules/test/browser_UITour.js | Highlight should be shown after showHighlight()
10:51:25     INFO -  Stack trace:
10:51:25     INFO -      JS frame :: chrome://mochitests/content/browser/browser/modules/test/head.js :: is_element_visible :: line 44
10:51:25     INFO -      JS frame :: chrome://mochitests/content/browser/browser/modules/test/browser_UITour.js :: test_highlight :: line 139
10:51:25     INFO -      JS frame :: chrome://mochitests/content/browser/browser/modules/test/browser_UITour.js :: test/nextTest/&lt; :: line 72
10:51:25     INFO -      native frame :: &lt;unknown filename&gt; :: &lt;TOP_LEVEL&gt; :: line 0


I could very well be to blame for this one, since I performed the merge, and there was some small foul-up with the UITourHighlightContainer in browser.xul[2]. I might have merged it incorrectly.


[1]: Example - https://tbpl.mozilla.org/php/getParsedLog.php?id=33538071&amp;tree=Holly
[2]: http://dxr.mozilla.org/mozilla-central/source/browser/base/content/browser.xul#217</Description></bugID>